Page MenuHomePhabricator

Slowdown of Quarry queries processing
Closed, ResolvedPublic

Description

It seems that some Quarry queries cannot be completed due to an overload of pending requests that generate a global slowdown for all the executions (read this topic: https://www.mediawiki.org/wiki/Topic:Tt2l70vyi14eafza). Please take into account a reset of the requests queue as a possible solution. Thanks in advance.

Event Timeline

Mess created this task.Jun 25 2017, 8:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2017, 8:36 PM
Mess added a comment.Jun 26 2017, 2:28 PM

Have a look also on the Quarry maintanance request that was posted during the 2016 Community Wishlist Survey, where there are old reports similar to this one: https://meta.wikimedia.org/wiki/2016_Community_Wishlist_Survey/Categories/Bots_and_gadgets#Quarry_maintenance

Mess triaged this task as High priority.Jun 26 2017, 4:34 PM
Mess closed this task as Resolved.Jul 14 2017, 11:51 AM

I solved the "issue": there wasn't a real slowdown actually, but a simple bad implementation of queries (see latest replies on https://www.mediawiki.org/wiki/Topic:Tt2l70vyi14eafza). We can surely close this topic without regrets.